﻿using Prism.Commands;
using Prism.Regions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PLCTool.ViewModels.MonitorManageViewModel
{
    public  class PLCPointViewModel
    {
        private readonly IRegionManager _regionManager;
        public PLCPointViewModel(IRegionManager regionManager)
        {
            _regionManager = regionManager; 
            ButtonNavigateCommand = new DelegateCommand<string>(NavigateMethod);
        }

        private void NavigateMethod(string strPar)
        {
            if (strPar == null || string.IsNullOrWhiteSpace(strPar))
            {
                return;
            }
            //导航页面
            _regionManager.Regions["PLCRegion"].RequestNavigate(strPar);
        }

        #region 命令绑定
        public DelegateCommand<string> ButtonNavigateCommand { set; get; }
        #endregion

    }
}
