﻿using BlankApp1.Events;
using Prism.Commands;
using Prism.Events;
using Prism.Mvvm;
using Prism.Services.Dialogs;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BlankApp1.ViewModels
{
    public  class PopViewModel:BindableBase,IDialogAware
    {
        private readonly IEventAggregator _aggregator;
        public PopViewModel(IEventAggregator aggregator)
        {
            this._aggregator = aggregator;  
            SureCommand = new DelegateCommand<string>(Sure);
            CloseCommand = new DelegateCommand(Close);
        }

        private void Close()
        {
            RequestClose?.Invoke(new DialogResult(ButtonResult.Cancel));
        }

        private void Sure(string obj)
        {
            DialogParameters parm = new DialogParameters();
            parm.Add("ReturnValue", DisContent);
            //发布消息
            _aggregator.GetEvent<ChangeEvent>().Publish(DisContent);
            RequestClose?.Invoke(new DialogResult(ButtonResult.OK, parm));
        }

        public string Title { set; get; } = "弹出窗体";

        public event Action<IDialogResult> RequestClose;

        public bool CanCloseDialog()
        {
            return true;
        }

        public void OnDialogClosed()
        {
           
        }

        public void OnDialogOpened(IDialogParameters parameters)
        {
            var getMsg = parameters.GetValues<string>("Key");
            ///值不为空，表示修改
            if (getMsg != null)
            {
                foreach (var item in getMsg)
                {
                    DisContent = item;
                }

            }
        }
        private string  disContent =string.Empty;
        public string  DisContent
        {
            get { return disContent; }
            set { SetProperty(ref disContent, value); }
        }
        public DelegateCommand CloseCommand { set; get; }
        public DelegateCommand<string> SureCommand { set; get; }
    }
}
